Security Enhanced Linux Reference Policy

# Layer: services

## Module: postgresql

Tunables Interfaces

### Description:

PostgreSQL relational database

### Tunables:

sepgsql_enable_users_ddl

##### Default value

true

##### Description

Allow unprived users to execute DDL statement

Return

### Interfaces:

postgresql_blob_object( type )

##### Summary

Marks as a SE-PostgreSQL binary large object type

##### Parameters

Parameter: | Description:
--- | ---
type | Type marked as a database binary large object type.

postgresql_database_object( type )

##### Summary

Marks as a SE-PostgreSQL database object type

##### Parameters

Parameter: | Description:
--- | ---
type | Type marked as a database object type.

postgresql_domtrans( domain )

##### Summary

Execute postgresql in the postgresql domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

postgresql_loadable_module( type )

##### Summary

Marks as a SE-PostgreSQL loadable shared library module

##### Parameters

Parameter: | Description:
--- | ---
type | Type marked as a database object type.

postgresql_manage_db( domain )

##### Summary

Allow the specified domain to manage postgresql's database.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postgresql_procedure_object( type )

##### Summary

Marks as a SE-PostgreSQL procedure object type

##### Parameters

Parameter: | Description:
--- | ---
type | Type marked as a database object type.

postgresql_read_config( domain )

##### Summary

Allow the specified domain to read postgresql's etc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postgresql_role( user_role , user_domain )

##### Summary

Role access for SE-PostgreSQL.

##### Parameters

Parameter: | Description:
--- | ---
user_role | The role associated with the user domain.
user_domain | The type of the user domain.

postgresql_search_db( domain )

##### Summary

Allow the specified domain to search postgresql's database directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postgresql_stream_connect( domain )

##### Summary

Allow the specified domain to connect to postgresql with a unix socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postgresql_system_table_object( type )

##### Summary

Marks as a SE-PostgreSQL system table/column/tuple object type

##### Parameters

Parameter: | Description:
--- | ---
type | Type marked as a table/column/tuple object type.

postgresql_table_object( type )

##### Summary

Marks as a SE-PostgreSQL table/column/tuple object type

##### Parameters

Parameter: | Description:
--- | ---
type | Type marked as a table/column/tuple object type.

postgresql_tcp_connect( domain )

##### Summary

Allow the specified domain to connect to postgresql with a tcp socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postgresql_unconfined( domain )

##### Summary

Allow the specified domain unconfined accesses to any database objects managed by SE-PostgreSQL,

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postgresql_unpriv_client( domain )

##### Summary

Allow the specified domain unprivileged accesses to unifined database objects managed by SE-PostgreSQL,

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return